              AVER(X,Y,Z) = (X + Y + Z) / 3.0
              LOGICAL GOOD, BAD
              GOOD = .TRUE.
              BAD = .FALSE.
              WRITE (6, 10)

              READ (5, 10)
              
              
              
